public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Aaron Swenson" <titanofold@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/pgpool2/
Date: Thu,  9 Nov 2017 00:27:55 +0000 (UTC)	[thread overview]
Message-ID: <1510187264.fdc09c7f131e2efa636edffa3b32153be3995108.titanofold@gentoo> (raw)

commit:     fdc09c7f131e2efa636edffa3b32153be3995108
Author:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  9 00:26:54 2017 +0000
Commit:     Aaron Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Thu Nov  9 00:27:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdc09c7f

dev-db/pgpool2: Bump to 3.6.7

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-db/pgpool2/Manifest             |  1 +
 dev-db/pgpool2/pgpool2-3.6.7.ebuild | 98 +++++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/dev-db/pgpool2/Manifest b/dev-db/pgpool2/Manifest
index 5ada214b398..cae9ec5a0f7 100644
--- a/dev-db/pgpool2/Manifest
+++ b/dev-db/pgpool2/Manifest
@@ -4,3 +4,4 @@ DIST pgpool-II-3.6.1.tar.gz 2539510 SHA256 244f99a70198b5861a63b2fe3e44ac39d2819
 DIST pgpool-II-3.6.4.tar.gz 2623625 SHA256 6ad78b9878d126e8da1e03e8edf3c8d56bb0754fe6432f633e81f6faaf8e6dbf SHA512 a44724b77faca12bc2b46a88e307c10f8099574b5a27720c98f2939fbfa61f41b4c3dc03565412972c351c10d57da4324a483c310b52f624f5ba87c2bd4d006f WHIRLPOOL 410136d359baa369f3d19136da54ba202c8b250bf364fc2f9b91a66190266ae523647cc89313211b63effbedd97168d026a2574be059dd0da7c8768b2d9714e7
 DIST pgpool-II-3.6.5.tar.gz 2651330 SHA256 f7eb62bd977a24d9187dc6aca6dd73b3b9e322cb3680ab5f5191a7e802a3cc9f SHA512 12247730f202859c76b0a11ccc485de786e53df7b8e08ffd76d7653c25633d79387f027e7c9d804bf19cd89b9db047b7ca0cf1cf5e914ee74c6efc0b6660eb1d WHIRLPOOL 22a153afc9f4a37ff52165ac6e79464ccff42600dddf085908da5cd6a62d7a5d5690dfe029adaf197f7f8b9d4f033326b5d2f61648133db3881129e8c1c55499
 DIST pgpool-II-3.6.6.tar.gz 3171264 SHA256 5fbdac14a07b4f4cabef8bd224be1fbb0770d9aa4731d8fa7905878dc4c22fbc SHA512 02cfceed761cf6338ce0a33e9afe05194acdf4d5577cf0d920176cb3bacffce6e9c2c1e8a8b89c5b062bc53d54cd012a4ad9582b42df7bc36ee666dcd0ee3e10 WHIRLPOOL 504c49cccfb3be78144defc5eccce46e1994f0049a9b5835130ffc7b5339f05ef5a562236053c4b10a711053384baccbdc96eb60ee21ea24354627f594bbb8f1
+DIST pgpool-II-3.6.7.tar.gz 3188186 SHA256 09cfe2cb36b9171d4a987a8b100e298e46d6a369c1b61d9e1a47d442ce16e249 SHA512 4bc80f4b47f4b37e4efe1af137c2af076dc98c438bf094236223bba0facfaea91546a86d7604e67453b67e82a24ac5ee6e4325d81f90358a3a0d7a6c34acd7fc WHIRLPOOL 7a17fc13792d3a7b257577013e8e9d5264d928ba93f96a6a9ecb5a08ac9ace246f22ec655e12e12e46ff371c411835cf8dfef3528bc70625daf197850adab9aa

diff --git a/dev-db/pgpool2/pgpool2-3.6.7.ebuild b/dev-db/pgpool2/pgpool2-3.6.7.ebuild
new file mode 100644
index 00000000000..830743a0c78
--- /dev/null
+++ b/dev-db/pgpool2/pgpool2-3.6.7.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+POSTGRES_COMPAT=( 9.{2..6} )
+
+inherit postgres-multi
+
+MY_P="${PN/2/-II}-${PV}"
+
+DESCRIPTION="Connection pool server for PostgreSQL"
+HOMEPAGE="http://www.pgpool.net/"
+SRC_URI="http://www.pgpool.net/download.php?f=${MY_P}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc memcached pam ssl static-libs"
+
+RDEPEND="
+	${POSTGRES_DEP}
+	net-libs/libnsl:0=
+	memcached? ( dev-libs/libmemcached )
+	pam? ( sys-auth/pambase )
+	ssl? ( dev-libs/openssl:* )
+"
+DEPEND="${RDEPEND}
+	sys-devel/bison
+	!!dev-db/pgpool
+"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+	postgres_new_user pgpool
+
+	postgres-multi_pkg_setup
+}
+
+src_prepare() {
+	eapply "${FILESDIR}/pgpool_run_paths-3.6.5.patch"
+
+	postgres-multi_src_prepare
+}
+
+src_configure() {
+	local myconf
+	use memcached && \
+		myconf="--with-memcached=\"${EROOT%/}/usr/include/libmemcached\""
+	use pam && myconf+=' --with-pam'
+
+	postgres-multi_foreach econf \
+		--disable-rpath \
+		--sysconfdir="${EROOT%/}/etc/${PN}" \
+		--with-pgsql-includedir='/usr/include/postgresql-@PG_SLOT@' \
+		--with-pgsql-libdir="/usr/$(get_libdir)/postgresql-@PG_SLOT@/$(get_libdir)" \
+		$(use_with ssl openssl) \
+		$(use_enable static-libs static) \
+		${myconf}
+}
+
+src_compile() {
+	# Even though we're only going to do an install for the best slot
+	# available, the extension bits in src/sql need some things outside
+	# of that directory built, too.
+	postgres-multi_foreach emake
+	postgres-multi_foreach emake -C src/sql
+}
+
+src_install() {
+	# We only need the best stuff installed
+	postgres-multi_forbest emake DESTDIR="${D}" install
+
+	# Except for the extension and .so files that each PostgreSQL slot needs
+	postgres-multi_foreach emake DESTDIR="${D}" -C src/sql install
+
+	newinitd "${FILESDIR}/${PN}.initd" ${PN}
+	newconfd "${FILESDIR}/${PN}.confd" ${PN}
+
+	# Documentation!
+	dodoc NEWS TODO
+	doman doc/src/sgml/man{1,8}/*
+	use doc && dodoc -r doc/src/sgml/html
+
+	# Examples and extras
+	# mv some files that get installed to /usr/share/pgpool-II so that
+	# they all wind up in the same place
+	mv "${ED%/}/usr/share/${PN/2/-II}" "${ED%/}/usr/share/${PN}" || die
+	into "/usr/share/${PN}"
+	dobin src/sample/{pgpool_recovery,pgpool_recovery_pitr,pgpool_remote_start}
+	insinto "/usr/share/${PN}"
+	doins src/sample/{{pcp,pgpool,pool_hba}.conf.sample*,pgpool.pam}
+
+	# One more thing: Evil la files!
+	find "${ED}" -name '*.la' -exec rm -f {} +
+}


             reply	other threads:[~2017-11-09  0:27 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-11-09  0:27 Aaron Swenson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-20  4:31 [gentoo-commits] repo/gentoo:master commit in: dev-db/pgpool2/ Patrick Lauer
2024-05-09 23:48 Sam James
2024-03-11 14:24 Sam James
2023-12-18  7:45 罗百科
2023-10-05  9:37 罗百科
2023-10-05  9:37 罗百科
2022-10-20 10:56 Jakov Smolić
2022-10-20 10:52 Jakov Smolić
2022-06-14 10:35 罗百科
2022-03-15 15:44 Conrad Kostecki
2021-08-22 21:53 David Seifert
2021-08-22 21:53 David Seifert
2021-07-10 18:54 Sam James
2021-05-02 20:15 Mikle Kolyada
2021-03-03 12:53 Aaron W. Swenson
2021-02-17 20:52 Sam James
2021-02-16 19:22 Sam James
2020-12-27 12:37 Aaron W. Swenson
2020-08-14  0:49 Aaron W. Swenson
2019-08-02 11:38 Mikle Kolyada
2019-07-08 12:10 Thomas Deutschmann
2019-06-15 10:58 Aaron W. Swenson
2019-05-23 10:08 Aaron W. Swenson
2019-05-13 10:37 Aaron W. Swenson
2019-05-13  0:38 Thomas Deutschmann
2019-04-08 15:41 Mikle Kolyada
2019-03-07 16:39 Aaron W. Swenson
2019-02-10 11:57 Aaron W. Swenson
2019-02-08  7:45 Mikle Kolyada
2019-01-24 22:22 Thomas Deutschmann
2019-01-07 17:00 Lars Wendler
2018-11-28 11:26 Aaron W. Swenson
2018-11-17 23:23 Thomas Deutschmann
2018-09-15 17:08 Mikle Kolyada
2018-09-10 21:21 Thomas Deutschmann
2018-08-03 13:36 Aaron Swenson
2018-05-13 16:56 Aaron Swenson
2018-05-13 16:56 Aaron Swenson
2018-04-27 20:59 Aaron Swenson
2018-01-12 21:35 Aaron Swenson
2018-01-08  0:16 Mikle Kolyada
2017-12-26  0:59 Thomas Deutschmann
2017-12-01 10:57 Aaron Swenson
2017-11-03 20:44 Andreas Hüttel
2017-09-18 18:50 Patrick Lauer
2017-02-22 17:11 Patrick Lauer
2016-06-07 11:07 Aaron Swenson
2016-02-28 20:18 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1510187264.fdc09c7f131e2efa636edffa3b32153be3995108.titanofold@gentoo \
    --to=titanofold@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox